Get All Forums

GET /internal/admin/comms/v1/forums

Operation id: get__internal_admin_comms_v1_forums

Description

Get All Forums

Tags: User Forums

Parameters

Query parameters

NameTypeRequiredDescription
filterstringNoFilter
forumIdintegerNoForum ID
pageintegerNoPage number
pageSizeintegerNoPage size
subscribedOnlybooleanNoSubscribed only (will be ignored if forumId is provided)

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
dataobjectNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "data": {
          "description": "json array with data objects"
        },
        "page": {
          "type": "integer",
          "format": "int32",
          "description": "Page number starting from 0"
        },
        "pageSize": {
          "type": "integer",
          "format": "int32",
          "description": "Page size"
        },
        "totalRecords": {
          "type": "integer",
          "format": "int64",
          "description": "Total number of records available for this query"
        }
      }
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}